> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idalia.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create projects

> Creates projects



## OpenAPI

````yaml https://spec.speakeasy.com/idalia-r5y/idalia/api-documentation-with-code-samples post /projects
openapi: 3.0.0
info:
  title: API Documentation
  version: 1.0.0
  description: This is the OpenAPI specification for your project.
servers:
  - url: https://idalia.app/api
    description: Idalia API server
security: []
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create projects
      description: Creates projects
      operationId: createProjects
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectsCreateParams'
        description: Project data including a name
      responses:
        '201':
          description: Returns newly created project objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectsQueryResponse'
        '400':
          $ref: '#/components/responses/400'
        '500':
          $ref: '#/components/responses/500'
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Idalia } from "idalia";

            const idalia = new Idalia({
              apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
            });

            async function run() {
              const result = await idalia.projects.create();

              console.log(result);
            }

            run();
components:
  schemas:
    ProjectsCreateParams:
      type: array
      items:
        $ref: '#/components/schemas/CreateProjectSchema'
    ProjectsQueryResponse:
      type: array
      items:
        $ref: '#/components/schemas/ProjectResponse'
    CreateProjectSchema:
      type: object
      properties:
        name:
          type: string
          description: Name of the project
        reference:
          type: string
          nullable: true
          description: Reference of the project
        startDate:
          type: string
          nullable: true
          description: Datetime the project starts
        endDate:
          type: string
          nullable: true
          description: Datetime the project ends
        notes:
          type: string
          nullable: true
          description: Notes on the project
        statusId:
          type: string
          nullable: true
          description: ID of the project status
        companyId:
          type: string
          nullable: true
          description: ID of the company the project is for
        locationId:
          type: string
          nullable: true
          description: ID of the location the project
        externalIds:
          type: object
          additionalProperties:
            type: string
          nullable: true
      required:
        - name
    ProjectResponse:
      type: object
      properties:
        id:
          type: string
          description: ID of the project
        createdAt:
          type: string
          description: Datetime the project was created
        updatedAt:
          type: string
          nullable: true
          description: Datetimet the project was last updated
        workspaceId:
          type: string
          description: ID of the workspace the project belongs to
        createdBy:
          type: string
          nullable: true
          description: ID of the user who created the project
        updatedBy:
          type: string
          nullable: true
          description: ID of the user who last updated the project
        name:
          type: string
          description: Name of the project
        reference:
          type: string
          nullable: true
          description: Reference of the project
        startDate:
          type: string
          nullable: true
          description: Datetime the project starts
        endDate:
          type: string
          nullable: true
          description: Datetime the project ends
        notes:
          type: string
          nullable: true
          description: Notes on the project
        statusId:
          type: string
          nullable: true
          description: ID of the project status
        companyId:
          type: string
          nullable: true
          description: ID of the company the project is for
        locationId:
          type: string
          nullable: true
          description: ID of the location the project
        externalIds:
          type: object
          additionalProperties:
            type: string
          nullable: true
      required:
        - id
        - createdAt
        - workspaceId
        - name
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
              code:
                type: string
                example: '400'
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
              code:
                type: string
                example: '500'

````